Subject: Re: [TI994A] CfHdx for Cf7a+ and nanoPEB

From: [email-masked]
Date: Sat, 11 Sep 2010 11:21:03 -0500 (CDT)

Great work, Fred! I hope to be able to try this out with my nanoPEB serial very soon but to many people waiting for me to get hardware out at the moment.

Sep 10, 2010 01:58:54 PM, [email-masked] wrote:

>Hi all,
>
>While working on Cf2k many months ago I got a bit irritated when testing the
>program on the real thing. All those things you have to do before you can actually
>test the program: Cf-card from Cf7a+ into the PC, copy Cf2k files to a DSK file,
>copy DSK file to CF-card, CF-card from PC to CF7A+, turn on TI and start testing.
>
>I allready use my HDX interface for years in all kind of variations between
>my Geneve and PC so I thought: isn't it possible to make a connection between
>the parallel ports of CF7A+ and a PC to transfer the files I want to try and test.
>After some investigation and e-mail traffic between me and Jaime Malilong I was
>able to create such a connection. There was only one problem: where to leave to
>DSR because I like my DSR's to have its own RAM buffers instead of (ab)using
>VDP RAM for this. I solved this by embedding the DSR in the program itself. I made
>a stripped down version of Dm2k and used the free space for the DSR and a special
>DSRLNK function did the trick. The only disadvantage of this is that some of the
>HDX functionality can only be used when running this special program and can not
>be used from i.e. TI Basic, Extended Basic or E/A. But an advantage is that you
>don't have to make difficult hardware changes to one of your precious devices.
>
>While working on the program, called CfPio, for the CF7A+ Jaime was creating
>the nanoPEB. I allready had the technology for creating CfPio so something like
>CfSio must also be possible. Well ... to make a long story short ... here it is:
>CfHdxP1 for the CF7A+ card and CfHdxS1 for the nanoPEB. For the PC side you need
>Ti99Hdx and a PC (or laptop) with a parallel port or serial port. I could test CfHdxP1
>only on WindowsXp because that is the only computer (laptop) with a parallel port
>I own at the moment.
>
>Ti99Hdx, see:
>
>target="_blank">http://members.ziggo.nl/fgkaal/Software/sw_ti99hdx.html#ti99hdx
>
>CfHdxP1 for CF7A+, see:
>
>target="_blank">http://members.ziggo.nl/fgkaal/Hardware/hw_ti99hdx_cf7+.html
>
>CfHdxS1 for nanoPEB, see:
>
>target="_blank">http://members.ziggo.nl/fgkaal/Hardware/hw_ti99hdx_nanopeb.html
>
>Using the nanoPEB is the easiest way to go: you only need a standard (well what
>is standard in computer world) serial cross-cable.
>
>
>enjoy,
>
>Fred ;-)
>
>
>
>
>
>
>------------------------------------
>
>Yahoo! Groups Links
>
><*> To visit your group on the web, go to:
> http://groups.yahoo.com/group/TI994A/
>
><*> Your email settings:
> Individual Email | Traditional
>
><*> To change settings online go to:
> http://groups.yahoo.com/group/TI994A/join
> (Yahoo! ID required)
>
><*> To change settings via email:
> [email-masked]
> [email-masked]
>
><*> To unsubscribe from this group, send an email to:
> [email-masked]
>
><*> Your use of Yahoo! Groups is subject to:
> http://docs.yahoo.com/info/terms/
>
>